"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path = require('path');
const chalk = require('chalk');
const rimraf = require('rimraf');
const git = require('nodegit');
const child_process = require('child_process');
const version_to_install = 'latest';
rimraf(path.join(__dirname, '..', 'emsdk'), () => {
    const clone_url = "https://github.com/juj/emsdk.git";
    console.log(chalk.green(chalk.bold('Cloning emsdk...')) + chalk.blue('\t from ' + clone_url));
    git.Clone(clone_url, path.join(__dirname, '..', 'emsdk'))
        .then((repo) => {
        const emsdk = path.join(__dirname, '..', 'emsdk', 'emsdk');
        console.log(chalk.green(chalk.bold(`Installing ${version_to_install}...`)));
        console.log(chalk.bold('This can take a while ') + '(it downloads and compiles the Emscripten toolchain)');
        child_process.exec(`${emsdk} install ${version_to_install}`, (err, stdout, stderr) => {
            if (err != null) {
                console.log(stdout);
                console.error(stderr);
                console.error(err);
                throw err;
            }
            console.log(chalk.green(chalk.bold(`Activating ${version_to_install}...`)));
            child_process.exec(`${emsdk} activate ${version_to_install}`, (err, stdout, stderr) => {
                if (err != null) {
                    console.log(stdout);
                    console.error(stderr);
                    console.error(err);
                    throw err;
                }
                console.log(chalk.green(chalk.bold(`Successfully installed emsdk ${version_to_install}!`)));
            });
        });
    });
});
//# sourceMappingURL=install.js.map