export {};

const path = require('path');
const exec = require('child_process').exec;
const globby = require('globby');

module.exports = (args: string | Array<string>, cb: any) => {
    if (typeof(args) != 'string')
        args = args.join(' ');

    // Setup emsdk environment
    exec(`${path.join(__dirname, '..', 'emsdk', 'emsdk_env')}`, () => {
        // Call emcc
        let emcc = globby.sync('./emsdk/emscripten/**/emcc', {
            cwd: path.join(__dirname, '..'),
        })[0];

        // Replace '/' with '\' on windows
        if (process.platform === "win32") {
            emcc = emcc.replace(new RegExp('/', 'g'), '\\');
        }

        exec(`${emcc} ${args}`, (error: any, stdout: any, stderr: any) => {
            cb(error, stdout, stderr);
        });
    });
};


