const path = require('path');
const emcc = require('../dist/index');

const inputFile = path.join(__dirname, 'src', 'test.c');
const outputFile = path.join(__dirname, 'out', 'test.js');

// Create output directory if it does not exist
require('mkdirp').sync(path.dirname(outputFile));

// Run the emscripten compiler
emcc(`-s WASM=1 ${inputFile} -o ${outputFile}`, (err, stdout, stderr) => {
    // If there is an error, throw it
    if (err != null || stderr.trim() != '') {
        console.error(stderr);
        throw err;
    }

    // Log the compiler output
    console.log(stdout);
});
